=== debian/changelog ===
ncbi-vdb (3.0.2+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:13:02 +0000

ncbi-vdb (3.0.2+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libmbedcrypto7t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 18:10:19 +0000

ncbi-vdb (3.0.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/salsa-ci.yml: Stop reenabling aptly, no longer needed.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 Jan 2023 17:43:12 -0500

ncbi-vdb (3.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Drop libkdf5-* and corresponding libhdf5-dev build-dep.
  * debian/copyright: Drop references to content removed upstream, both in
    Files-Excluded and in special cases.
  * debian/patches: Refresh for 3.0.{1,2}(+dfsg); many of our changes can go
    away now that upstream supports using system mbed TLS.  (The only
    difference between 3.0.1 and 3.0.2 is a formal version bump to sync
    with sra-tools 3.0.2.)
  * debian/rules: Account for upstream library installation changes:
    - Honoring CMAKE_INSTALL_LIBDIR (which specifies multiarch paths).
    - Dropping several static libraries (which had been installed on
      principle).
    - Dropping libkdf5.
  * Standards-Version: 4.6.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 27 Dec 2022 12:01:29 -0500

ncbi-vdb (3.0.0+dfsg2-4) experimental; urgency=medium

  * debian/control:
    - Drop i386, desupported upstream.
    - Formally clean up per cme fix.
  * debian/rules: Use $(DEB_HOST_ARCH_BITS) in LIBINSTALLDIR for the sake
    of x32.
  * debian/salsa-ci.yml: Enable aptly for the sake of sra-sdk 3.x until
    both packages return to unstable.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 14 Nov 2022 21:30:44 -0500

ncbi-vdb (3.0.0+dfsg2-3) experimental; urgency=medium

  * .gitignore: Ignore temporary interfaces/cc/gcc/aarch64 symlink.
  * debian/patches/detect_BITS.patch (new): Base BITS on sizeof(void *).
    This change is particularly helpful on x32, which the build system
    otherwise conflates with x86_64.
  * debian/patches/fix_cmake.patch: Explicitly link mbedtls's dependencies.
    They see some direct usage.
  * debian/patches/fix_x32.patch (new): Fully fix x32 builds.
    In particular, don't try to build test-wvdb-slow when the address
    space is only 32 bits wide.
  * debian/rules:
    - Unhardcode architecture component in chrpath call.
    - Address arm64/aarch64 header path mismatch with a symlink.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 01 Sep 2022 23:01:22 -0400

ncbi-vdb (3.0.0+dfsg2-2) experimental; urgency=medium

  * debian/.gitignore: Also ignore common-install-stamp.
  * debian/control: Split out Build-Depends-Arch, for nearly everything.
  * debian/patches/fix_cmake.patch: Link libncbi-(w)vdb.so against all
    dependencies.  (Leave the test subtree's COMMON_LIBS_* settings alone
    because tests link statically.)
  * debian/rules: Accommodate builds covering only architecture-dependent
    or architecture-independent packages, with the help of a new
    debian/common-install-stamp target.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Aug 2022 08:08:33 -0400

ncbi-vdb (3.0.0+dfsg2-1) experimental; urgency=medium

  * Merge (or port, as appropriate) changes from 2.11.2+dfsg-5.
    - Account for changes to the binary package inventory.
    - Account for layout changes.
    - Extend upstream's copyright through 2022.
  * .gitignore: Also ignore obj-* and test/vdb/kfg/*/user-settings.mkfg.
  * debian/control: Drop unneeded build dependencies: libngs-* and
    default-jdk-headless.  Keeping libngs-* would have resulted in a
    dependency cycle with sra-sdk 3.x (which incorporates ngs-sdk), and
    default-jdk-headless is heavy.
  * debian/copyright: Additionally exclude */vdb3/jwt-tool/googletest,
    which came to my attention over formal line-ending mismatches relative
    to the tarball (specifically in Visual Studio files).
  * debian/rules: Clean up fully between builds.
  * debian/watch: Adjust dversionmangle to allow digits after +dfsg, per
    the use of +dfsg2 for now.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 25 Aug 2022 00:55:47 -0400

ncbi-vdb (3.0.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Switch to cmake build system
  * Reflect SONAME bump in package names
  * Library libvdb-sqlite is not provided by upstream any more which
    builds libsam-extract as new library.  Binary packages are adapted
    accordingly
  * Review copyright
  * Remove RPATH
  * Standards-Version: 4.6.1

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 11:53:03 +0100
